com.impinj.stp

## Class StpApi.Serialization

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessage
      - - com.impinj.stp.StpApi.Serialization

- All Implemented Interfaces:
    com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.SerializationOrBuilder, java.io.Serializable
  Enclosing class:
    StpApi

      public static final class StpApi.Serialization
      extends com.google.protobuf.GeneratedMessage
      implements StpApi.SerializationOrBuilder

  Protobuf type `Impinj.STP.Serialization` How serial numbers are determined.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StpApi.Serialization.Builder` Protobuf type `Impinj.STP.Serialization` How serial numbers are determined.

    - ### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

      `com.google.protobuf.GeneratedMessage.BuilderParent, com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessage.ExtendableBuilder>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingType extends com.google.protobuf.Message,Type>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `MONZA_SELF_SERIALIZATION_FIELD_NUMBER`
    `static com.google.protobuf.Parser<StpApi.Serialization>` | `PARSER`
    `static int` | `SERIAL_NUMBER_RANGE_FIELD_NUMBER`
    `static int` | `SERIALIZATION_BITS_FIELD_NUMBER`

    - ### Fields inherited from class com.google.protobuf.GeneratedMessage

      `alwaysUseFieldBuilders`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StpApi.Serialization` | `getDefaultInstance()`
    `StpApi.Serialization` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `StpApi.MonzaSelfSerialization` | `getMonzaSelfSerialization()` Monza Self-Serialization between 34-bits and 96-bits in length.
    `StpApi.MonzaSelfSerializationOrBuilder` | `getMonzaSelfSerializationOrBuilder()` Monza Self-Serialization between 34-bits and 96-bits in length.
    `com.google.protobuf.Parser<StpApi.Serialization>` | `getParserForType()`
    `int` | `getSerializationBits()` Length of serial number to generate e.g.
    `int` | `getSerializedSize()`
    `StpApi.SerialNumberRange` | `getSerialNumberRange()` Serial Number Range can be up to 496-bits or full length of EPC (pad left with zeros).
    `StpApi.SerialNumberRangeOrBuilder` | `getSerialNumberRangeOrBuilder()` Serial Number Range can be up to 496-bits or full length of EPC (pad left with zeros).
    `com.google.protobuf.UnknownFieldSet` | `getUnknownFields()`
    `boolean` | `hasMonzaSelfSerialization()` Monza Self-Serialization between 34-bits and 96-bits in length.
    `boolean` | `hasSerializationBits()` Length of serial number to generate e.g.
    `boolean` | `hasSerialNumberRange()` Serial Number Range can be up to 496-bits or full length of EPC (pad left with zeros).
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `static StpApi.Serialization.Builder` | `newBuilder()`
    `static StpApi.Serialization.Builder` | `newBuilder(StpApi.Serialization prototype)`
    `StpApi.Serialization.Builder` | `newBuilderForType()`
    `protected StpApi.Serialization.Builder` | `newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)`
    `static StpApi.Serialization` | `parseDelimitedFrom(java.io.InputStream input)`
    `static StpApi.Serialization` | `parseDelimitedFrom(java.io.InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static StpApi.Serialization` | `parseFrom(byte[] data)`
    `static StpApi.Serialization` | `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static StpApi.Serialization` | `parseFrom(com.google.protobuf.ByteString data)`
    `static StpApi.Serialization` | `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static StpApi.Serialization` | `parseFrom(com.google.protobuf.CodedInputStream input)`
    `static StpApi.Serialization` | `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static StpApi.Serialization` | `parseFrom(java.io.InputStream input)`
    `static StpApi.Serialization` | `parseFrom(java.io.InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.Serialization.Builder` | `toBuilder()`
    `protected java.lang.Object` | `writeReplace()`
    `void` | `writeTo(com.google.protobuf.CodedOutputStream output)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage

      `getAllFields, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, hasField, makeExtensionsImmutable, newFileScopedGeneratedExtension, newMessageScopedGeneratedExtension, parseUnknownField`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage

      `equals, findInitializationErrors, getInitializationErrorString, hashBoolean, hashCode, hashEnum, hashEnumList, hashFields, hashLong, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

- - ### Field Detail

    - #### PARSER

          public static com.google.protobuf.Parser<StpApi.Serialization> PARSER

    - #### SERIALIZATION_BITS_FIELD_NUMBER

          public static final int SERIALIZATION_BITS_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### MONZA_SELF_SERIALIZATION_FIELD_NUMBER

          public static final int MONZA_SELF_SERIALIZATION_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### SERIAL_NUMBER_RANGE_FIELD_NUMBER

          public static final int SERIAL_NUMBER_RANGE_FIELD_NUMBER

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDefaultInstance

          public static StpApi.Serialization getDefaultInstance()

    - #### getDefaultInstanceForType

          public StpApi.Serialization getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### getUnknownFields

          public final com.google.protobuf.UnknownFieldSet getUnknownFields()

      Specified by:
        `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getUnknownFields` in class `com.google.protobuf.GeneratedMessage`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

    - #### getParserForType

          public com.google.protobuf.Parser<StpApi.Serialization> getParserForType()

      Specified by:
        `getParserForType` in interface `com.google.protobuf.Message`
      Specified by:
        `getParserForType` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getParserForType` in class `com.google.protobuf.GeneratedMessage`

    - #### hasSerializationBits

          public boolean hasSerializationBits()

      Length of serial number to generate e.g. 38-bits 2-5 DEPRECATED
      Specified by:
        `hasSerializationBits` in interface `StpApi.SerializationOrBuilder`

    - #### getSerializationBits

          public int getSerializationBits()

      Length of serial number to generate e.g. 38-bits 2-5 DEPRECATED
      Specified by:
        `getSerializationBits` in interface `StpApi.SerializationOrBuilder`

    - #### hasMonzaSelfSerialization

          public boolean hasMonzaSelfSerialization()

      Monza Self-Serialization between 34-bits and 96-bits in length.
      Specified by:
        `hasMonzaSelfSerialization` in interface `StpApi.SerializationOrBuilder`

    - #### getMonzaSelfSerialization

          public StpApi.MonzaSelfSerialization getMonzaSelfSerialization()

      Monza Self-Serialization between 34-bits and 96-bits in length.
      Specified by:
        `getMonzaSelfSerialization` in interface `StpApi.SerializationOrBuilder`

    - #### getMonzaSelfSerializationOrBuilder

          public StpApi.MonzaSelfSerializationOrBuilder getMonzaSelfSerializationOrBuilder()

      Monza Self-Serialization between 34-bits and 96-bits in length.
      Specified by:
        `getMonzaSelfSerializationOrBuilder` in interface `StpApi.SerializationOrBuilder`

    - #### hasSerialNumberRange

          public boolean hasSerialNumberRange()

      Serial Number Range can be up to 496-bits or full length of EPC (pad left with zeros).
      Specified by:
        `hasSerialNumberRange` in interface `StpApi.SerializationOrBuilder`

    - #### getSerialNumberRange

          public StpApi.SerialNumberRange getSerialNumberRange()

      Serial Number Range can be up to 496-bits or full length of EPC (pad left with zeros).
      Specified by:
        `getSerialNumberRange` in interface `StpApi.SerializationOrBuilder`

    - #### getSerialNumberRangeOrBuilder

          public StpApi.SerialNumberRangeOrBuilder getSerialNumberRangeOrBuilder()

      Serial Number Range can be up to 496-bits or full length of EPC (pad left with zeros).
      Specified by:
        `getSerialNumberRangeOrBuilder` in interface `StpApi.SerializationOrBuilder`

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage`

    - #### writeTo

          public void writeTo(com.google.protobuf.CodedOutputStream output)
                       throws java.io.IOException

      Specified by:
        `writeTo` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `writeTo` in class `com.google.protobuf.AbstractMessage`
      Throws:
        `java.io.IOException`

    - #### getSerializedSize

          public int getSerializedSize()

      Specified by:
        `getSerializedSize` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getSerializedSize` in class `com.google.protobuf.AbstractMessage`

    - #### writeReplace

          protected java.lang.Object writeReplace()
                                           throws java.io.ObjectStreamException

      Overrides:
        `writeReplace` in class `com.google.protobuf.GeneratedMessage`
      Throws:
        `java.io.ObjectStreamException`

    - #### parseFrom

          public static StpApi.Serialization parseFrom(com.google.protobuf.ByteString data)
                                                throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static StpApi.Serialization parseFrom(com.google.protobuf.ByteString data,
                                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static StpApi.Serialization parseFrom(byte[] data)
                                                throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static StpApi.Serialization parseFrom(byte[] data,
                                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static StpApi.Serialization parseFrom(java.io.InputStream input)
                                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseFrom

          public static StpApi.Serialization parseFrom(java.io.InputStream input,
                                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseDelimitedFrom

          public static StpApi.Serialization parseDelimitedFrom(java.io.InputStream input)
                                                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseDelimitedFrom

          public static StpApi.Serialization parseDelimitedFrom(java.io.InputStream input,
                                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseFrom

          public static StpApi.Serialization parseFrom(com.google.protobuf.CodedInputStream input)
                                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseFrom

          public static StpApi.Serialization parseFrom(com.google.protobuf.CodedInputStream input,
                                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### newBuilder

          public static StpApi.Serialization.Builder newBuilder()

    - #### newBuilderForType

          public StpApi.Serialization.Builder newBuilderForType()

      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.Message`
      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.MessageLite`

    - #### newBuilder

          public static StpApi.Serialization.Builder newBuilder(StpApi.Serialization prototype)

    - #### toBuilder

          public StpApi.Serialization.Builder toBuilder()

      Specified by:
        `toBuilder` in interface `com.google.protobuf.Message`
      Specified by:
        `toBuilder` in interface `com.google.protobuf.MessageLite`

    - #### newBuilderForType

          protected StpApi.Serialization.Builder newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)

      Specified by:
        `newBuilderForType` in class `com.google.protobuf.GeneratedMessage`